com.amazonaws.services.machinelearning.model

## Class CreateEvaluationResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.CreateEvaluationResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateEvaluationResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `CreateEvaluation` operation, and is an acknowledgement that Amazon ML received the request.

`CreateEvaluation` operation is asynchronous. You can poll for status updates by using the `GetEvcaluation` operation and checking the `Status` parameter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateEvaluationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateEvaluationResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getEvaluationId()` The user-supplied ID that uniquely identifies the `Evaluation`.
`int` `hashCode()`
`void` `setEvaluationId(String evaluationId)` The user-supplied ID that uniquely identifies the `Evaluation`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateEvaluationResult` `withEvaluationId(String evaluationId)` The user-supplied ID that uniquely identifies the `Evaluation`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateEvaluationResult

    public CreateEvaluationResult()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.

Parameters:
  `evaluationId` - The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.

#### getEvaluationId

    public String getEvaluationId()

The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.

Returns:
  The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.

#### withEvaluationId

    public CreateEvaluationResult withEvaluationId(String evaluationId)

The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.

Parameters:
  `evaluationId` - The user-supplied ID that uniquely identifies the `Evaluation`. This value should be identical to the value of the `EvaluationId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateEvaluationResult clone()

Overrides:
  `clone` in class `Object`